module f90meta_mod

  use param
  use metatask_mod
  use cctask_f_mod
  use f90task_mod

contains

  subroutine f90meta
    call chatAbout(getTaskInfo(),"f90meta");
    call chatAbout(getTaskInfo("f90task"),"f90meta.f90task");
    call chatAbout(getTaskInfo("cctask"),"f90meta.cctask");


    call openParameters("f90task")
    call setParameter("message","f90 metatask calling f90")
    call setParameter("set","f90f90.ds")
    call task(f90task)

    call openParameters("cctask")
    call setParameter("message","f90 metatask calling c++")
    call setParameter("set","f90cc.ds")
    call task(cctask)

  end subroutine


  subroutine chatAbout(info,what)
     type(TaskInfo),intent(in) :: info
     character(*),  intent(in) :: what
     call message(AppMsg,Always,what//".name="//trim(nameOf(info)))
     call message(AppMsg,Always,what//".version="//trim(versionOf(info)))
     call message(AppMsg,Always,what//".package="//trim(packageOf(info)))
     call message(AppMsg,Always,what//".release="//trim(releaseOf(info)))
     
  end subroutine chatAbout
end module
