module f90task_mod
  use errorhandling
  use dal
  use param
  use metatask_mod

  type(DataSetT) :: set
  type(TableT) :: tab
  type(TaskInfo) :: info

contains

  subroutine f90task

     info = getTaskInfo();
     call message(AppMsg,Always,"loaded info")

     call message(AppMsg,Always,"taskname="//trim(nameOf(info)))
     call message(AppMsg,Always,"taskversion="//trim(versionOf(info)))
     call message(AppMsg,Always,"taskpackage="//trim(packageOf(info)))
     call message(AppMsg,Always,"taskrelease="//trim(releaseOf(info)))

     set = dataSet(stringParameter("set"),CREATE)
     call setAttribute(set,"message",stringParameter("message"))
     call release(set)
  end subroutine

end module
